
import 'package:nirrti/src/utils/formfield_generator/field_details.dart';

class GenericList {
  late String id;
  late String name;
  late String label;
  List<TargetResolver>? trigger;

  GenericList({
      required this.id,
      required this.name,
      required this.label,
      this.trigger,
  });

  GenericList.fromJson(dynamic input) {
      id = input['id'];
      name = input['name'];
      label = input['label'];

      if (input['trigger'] != null) {
        trigger = [...input['trigger'].map((e) => TargetResolver.fromJson(e))];
      }
  }

  Map<String, dynamic> toJson() {
      final Map<String, dynamic> data = <String, dynamic>{};
      data['id'] = id;
      data['name'] = name;
      data['label'] = label;
      return data;
  }
}